## GODataScalar

GODataScalar

## Synopsis

                        GODataScalar;
    PangoAttrList const * go_data_scalar_get_markup         (GODataScalar *val);
    char const *        go_data_scalar_get_str              (GODataScalar *val);
    double              go_data_scalar_get_value            (GODataScalar *val);

## Object Hierarchy

      GObject
       +----GOData
             +----GODataScalar
                   +----GODataScalarStr
                   +----GODataScalarVal

## Description

## Details

### GODataScalar

    typedef struct _GODataScalar GODataScalar;

### go_data_scalar_get_markup ()

    PangoAttrList const * go_data_scalar_get_markup         (GODataScalar *val);

### go_data_scalar_get_str ()

    char const *        go_data_scalar_get_str              (GODataScalar *val);

### go_data_scalar_get_value ()

    double              go_data_scalar_get_value            (GODataScalar *val);